%define tarname WebTest
%define name	python-webtest
%define version	2.0.6
%define release %mkrel 4
%define _with_docs 0

Summary:	Helper to test WSGI applications
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://pypi.python.org/packages/source/W/%{tarname}/%{tarname}-%{version}.zip
Source1:	Makefile
License:	MIT
Group:		Development/Python
Url:		http://pythonpaste.org/webtest/
BuildArch:	noarch
Requires:	python-webob
BuildRequires:	python-setuptools
BuildRequires:	python-sphinx

%description
This package wraps any WSGI application and makes it easy to send test
requests to that application, without starting up an HTTP server.

It provides convenient full-stack testing of applications written with
any WSGI-compatible framework.

WebTest is based on paste.fixture.TestApp.

%files
%if %_with_docs
%doc docs/_build/html
%endif
%{python_sitelib}/webtest
%{python_sitelib}/WebTest-%{version}-py%{py_ver}.egg-info

#--------------------------------------------------------------------

%prep
%setup -q -n %{tarname}-%{version}
cp -f %SOURCE1 docs/

%install
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot}
%if %_with_docs
pushd docs
export PYTHONPATH=`dir -d ../build/lib*`
make html
rm -f _build/html/.buildinfo
popd docs
%endif



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.0.6-4.mga4
+ Revision: 544490
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0.6-3.mga4
+ Revision: 499718
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 11 2013 fwang <fwang> 2.0.6-2.mga4
+ Revision: 495088
- update file list

* Thu Aug 01 2013 neoclust <neoclust> 2.0.6-1.mga4
+ Revision: 462031
- New version

* Sun Jan 13 2013 umeabot <umeabot> 1.2.3-2.mga3
+ Revision: 379680
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 1.2.3-1.mga3
+ Revision: 313517
- imported package python-webtest

